## ros-melodic-prbt-ikfast-manipulator-plugin 0.5.23

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(prbt_ikfast_manipulator_plugin)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_EXTENSIONS OFF)

add_compile_options(-Wall)
add_compile_options(-Wextra)
add_compile_options(-Wno-unused-parameter)
add_compile_options(-Wno-unused-variable)
add_compile_options(-Werror)

# enable aligned new in gcc7+
if(CMAKE_COMPILER_IS_GNUCXX)
  if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 7.0)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -faligned-new")
  endif()
endif()

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  pluginlib
  roscpp
  tf2_kdl
  tf2_eigen
  eigen_conversions
)

include_directories(${catkin_INCLUDE_DIRS} include)

catkin_package()

set(IKFAST_LIBRARY_NAME prbt_manipulator_moveit_ikfast_plugin)
add_library(${IKFAST_LIBRARY_NAME} src/prbt_manipulator_ikfast_moveit_plugin.cpp)
target_link_libraries(${IKFAST_LIBRARY_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
# suppress warnings about unused variables in OpenRave's solver code
target_compile_options(${IKFAST_LIBRARY_NAME} PRIVATE -Wno-unused-variable)

install(TARGETS
  ${IKFAST_LIBRARY_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(
  FILES
  prbt_manipulator_moveit_ikfast_plugin_description.xml
  DESTINATION
  ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-melodic-prbt-ikfast-manipulator-plugin 0.5.21

=== debian/changelog ===
ros-melodic-prbt-ikfast-manipulator-plugin (0.5.21-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 22 Nov 2020 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.20-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.19-1stretch) stretch; urgency=high

  * Move ikfast plugin test to prbt_moveit_config (#450)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Sep 2020 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.18-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 01 Jul 2020 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.17-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 21 Jun 2020 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.16-1stretch) stretch; urgency=high

  * Update and apply clang-format (#387)
  * Make test-subfolder-names consistent (#380)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 14 May 2020 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.15-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 02 May 2020 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.14-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Mar 2020 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.13-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.12-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.11-1stretch) stretch; urgency=high

  * update ikfast plugin (#204)
  * drop unused lapack dependency (#186)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.10-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Oct 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.9-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Oct 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.8-1stretch) stretch; urgency=high

  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.7-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Aug 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.6-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.5-1stretch) stretch; urgency=high

  * enable aligned new in gcc7+

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.4-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 26 May 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.3-1stretch) stretch; urgency=high

  * Updated IK fast plugin
  * Remove unused testfile
  * drop outdated can configuration
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 23 Apr 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.2-1stretch) stretch; urgency=high

  * Fix sign-compare and deprecated warnings
  * update IKfast plugin based on moveit version 0.10.8
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 20 Feb 2019 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.1-1stretch) stretch; urgency=high

  * melodic release based on kinetic version 0.4.3
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.0-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 06 Nov 2018 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.4.3-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.4.2-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 07 Nov 2018 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.4.1-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 06 Nov 2018 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.4.0-1stretch) stretch; urgency=high

  * add code coverage make target
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 05 Nov 2018 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.3.0-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 14 Aug 2018 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.2.1-1stretch) stretch; urgency=high

  * Add <url> tag to all package.xml files

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 18 Jul 2018 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.2.0-1stretch) stretch; urgency=high

  * generate IKfast solver and plugin
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 11 Jul 2018 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-prbt-ikfast-manipulator-plugin
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-eigen-conversions, ros-melodic-moveit-core, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-tf2-eigen, ros-melodic-tf2-kdl
Homepage: https://wiki.ros.org/prbt_ikfast_manipulator_plugin
Standards-Version: 3.9.2

Package: ros-melodic-prbt-ikfast-manipulator-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-eigen-conversions, ros-melodic-moveit-core, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-tf2-kdl
Description: The prbt_ikfast_manipulator_plugin package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-prbt-ikfast-manipulator-plugin//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-prbt-ikfast-manipulator-plugin 0.5.23

=== debian/changelog ===
ros-melodic-prbt-ikfast-manipulator-plugin (0.5.23-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 20 Jul 2021 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.22-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 11 Jul 2021 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.21-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 22 Nov 2020 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.20-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.19-1bionic) bionic; urgency=high

  * Move ikfast plugin test to prbt_moveit_config (#450)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Sep 2020 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.18-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 01 Jul 2020 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.17-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 21 Jun 2020 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.16-1bionic) bionic; urgency=high

  * Update and apply clang-format (#387)
  * Make test-subfolder-names consistent (#380)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 14 May 2020 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.15-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 02 May 2020 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.14-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Mar 2020 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.13-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.12-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.11-1bionic) bionic; urgency=high

  * update ikfast plugin (#204)
  * drop unused lapack dependency (#186)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.10-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Oct 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.9-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Oct 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.8-1bionic) bionic; urgency=high

  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.7-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Aug 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.6-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.5-1bionic) bionic; urgency=high

  * enable aligned new in gcc7+

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.4-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 26 May 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.3-1bionic) bionic; urgency=high

  * Updated IK fast plugin
  * Remove unused testfile
  * drop outdated can configuration
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 23 Apr 2019 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.2-1bionic) bionic; urgency=high

  * Fix sign-compare and deprecated warnings
  * update IKfast plugin based on moveit version 0.10.8
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 20 Feb 2019 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.1-1bionic) bionic; urgency=high

  * melodic release based on kinetic version 0.4.3
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.5.0-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 06 Nov 2018 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.4.3-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.4.2-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 07 Nov 2018 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.4.1-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 06 Nov 2018 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.4.0-1bionic) bionic; urgency=high

  * add code coverage make target
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 05 Nov 2018 23:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.3.0-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 14 Aug 2018 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.2.1-1bionic) bionic; urgency=high

  * Add <url> tag to all package.xml files

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 18 Jul 2018 22:00:00 -0000

ros-melodic-prbt-ikfast-manipulator-plugin (0.2.0-1bionic) bionic; urgency=high

  * generate IKfast solver and plugin
  * Contributors: Pilz GmbH and Co. KG
